# Notarization Request Details Get details about a notarization request by its `id`. Details include: - Basic notarization request information (status, creator, invitees). - Signed documents information with links for downloading. - Notarization session recording information with link for downloading. - Timestamps associated with a notarization request. ## Available Notarization Request Statuses The following is a complete list of all possible notarization request statuses returned: | Notarization Request Status | Status Description | | :-------------------------- | :----------------------------------------------------------------------------------------------------------------- | | SENT | Notarization request has been created. Invitees are notified and can start the process of finding a notary. | | WAITING_FOR_NOTARY | One of the invitees initialised the process of finding a notary. | | ACCEPTED | Notarization request has been accepted by the notary. At this time nobody has joined the notarization session yet. | | LIVE | Notarization session has started. | | COMPLETED | Notarization session is finished. Documents have been successfully signed and ready for downloading. | | INCOMPLETE | Notarization session has started but was not completed successfully. | ## Signed documents Signed documents are the documents that were successfully signed during the notarization session. The signed document's info is available only if the notarization request has `COMPLETED` status, otherwise the returned list will be empty. In case you uploaded several documents for notarization then the `signed_documents` list will contain links for downloading for each document separately (with `SINGLE` document type) and link for the combined document (with `COMBINED` document type accordingly). ## Recording Recording is the video of the notarization session. The recording info is available only if the notarization request has `COMPLETED` status and recording is available, otherwise the returned object will be empty. > 📘 Links expire in 1 hour > > **Note**: The signed document and recording links expire in 1 hour. After this time it will be not possible to download files using the returned urls. In this case you need to call endpoint again since each request generates a new link. ## Limits A maximum of 100 API calls per minute is permitted. Exceeding this limit triggers a 429 Too Many Requests error. # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "PandaDoc Public API", "description": "PandaDoc API spans a broad range of functionality to help you build incredible documents automation experiences inside your product.\n\nPandaDoc API is organized around REST. Our API has predictable resource-oriented URLs and uses standard HTTP response codes, authentication, and verbs.\n\n## Getting started\n\nYou can start testing PandaDoc API with a sandbox key on our [Enterprise](https://www.pandadoc.com/pricing/) plan, either active or in trial.\n\nGenerate your [sandbox key](https://developers.pandadoc.com/reference/sandbox-key) on the Developer Dashboard with predefined [rate limits](https://developers.pandadoc.com/reference/limits). Or contact our solutions expert if you work with high-transaction volumes.\n\n## Guides\n\nIf you’re just getting started with PandaDoc, you may want to jump straight into one of our [getting started guides](https://developers.pandadoc.com/docs/getting-started) for the feature you’re most interested in, whether that’s:\n\n- [Create from template](https://developers.pandadoc.com/docs/create-send-document),\n- [Upload and send a local PDF](https://developers.pandadoc.com/docs/upload-and-send-a-local-pdf),\n- or [Listening for changes in document status](https://developers.pandadoc.com/docs/listen-document-status-changes).\n\nWe also recommend you to discover our dynamic content generation on a fly: [Create from a template with content placeholder](https://developers.pandadoc.com/docs/create-with-content-placeholders-from-template).\n", "termsOfService": "https://www.pandadoc.com/master-services-agreement/", "contact": { "name": "PandaDoc API Support", "url": "https://developers.pandadoc.com/", "email": "api-track@pandadoc.com" }, "license": { "name": "MIT", "url": "https://github.com/PandaDoc/pandadoc-openapi-specification/blob/main/LICENSE" }, "version": "7.18.2" }, "servers": [ { "url": "https://api.pandadoc.com", "description": "Public API" } ], "security": [ { "apiKey": [] }, { "oauth2": [] } ], "tags": [ { "name": "Notary", "description": "Operations for creating and managing notarization requests." } ], "paths": { "/public/v2/notary/notarization-requests/{session_request_id}": { "get": { "tags": [ "Notary" ], "summary": "Notarization Request Details", "operationId": "notarizationRequestDetails", "description": "Get details about a notarization request by its `id`.\n\nDetails include:\n\n- Basic notarization request information (status, creator, invitees).\n- Signed documents information with links for downloading.\n- Notarization session recording information with link for downloading.\n- Timestamps associated with a notarization request.\n\n## Available Notarization Request Statuses\n\nThe following is a complete list of all possible notarization request statuses returned:\n\n| Notarization Request Status | Status Description |\n| :-------------------------- | :----------------------------------------------------------------------------------------------------------------- |\n| SENT | Notarization request has been created. Invitees are notified and can start the process of finding a notary. |\n| WAITING_FOR_NOTARY | One of the invitees initialised the process of finding a notary. |\n| ACCEPTED | Notarization request has been accepted by the notary. At this time nobody has joined the notarization session yet. |\n| LIVE | Notarization session has started. |\n| COMPLETED | Notarization session is finished. Documents have been successfully signed and ready for downloading. |\n| INCOMPLETE | Notarization session has started but was not completed successfully. |\n\n## Signed documents\n\nSigned documents are the documents that were successfully signed during the notarization session. The signed document's info is available only if the notarization request has `COMPLETED` status, otherwise the returned list will be empty. \n\nIn case you uploaded several documents for notarization then the `signed_documents` list will contain links for downloading for each document separately (with `SINGLE` document type) and link for the combined document (with `COMBINED` document type accordingly).\n\n## Recording\n\nRecording is the video of the notarization session. The recording info is available only if the notarization request has `COMPLETED` status and recording is available, otherwise the returned object will be empty.\n\n> 📘 Links expire in 1 hour\n> \n> **Note**: The signed document and recording links expire in 1 hour. After this time it will be not possible to download files using the returned urls. In this case you need to call endpoint again since each request generates a new link.\n\n## Limits\n\nA maximum of 100 API calls per minute is permitted. Exceeding this limit triggers a 429 Too Many Requests error.\n", "parameters": [ { "name": "session_request_id", "in": "path", "required": true, "schema": { "type": "string", "format": "uuid" }, "description": "Notarization Request ID.", "example": "0b2256a2-5803-4ae9-b1b8-595f48e37173" } ], "responses": { "200": { "description": "Details about notarization request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/NotarizationRequestDetailsResponse" }, "examples": { "Notarization Request Details": { "value": { "id": "string", "status": "COMPLETED", "document_id": "D3okRfgHRX7NEhavcACReB", "date_created": "2024-01-25T15:07:10.845Z", "date_started": "2024-01-25T15:07:10.845Z", "date_completed": "2024-01-25T15:07:10.845Z", "created_by": { "user_id": "string", "email": "string", "first_name": "string", "last_name": "string" }, "invitees": [ { "id": "string", "email": "user@example.com", "first_name": "string", "last_name": "string" } ], "signed_documents": [ { "url": "string", "document_name": "string", "size": 200, "document_type": "COMBINED" }, { "url": "string", "document_name": "string", "size": 100, "document_type": "SINGLE" }, { "url": "string", "document_name": "string", "size": 100, "document_type": "SINGLE" } ], "recording": { "url": "string", "name": "string", "size": 5242880 } } } } } } } } } } }, "components": { "securitySchemes": { "apiKey": { "type": "apiKey", "name": "Authorization", "in": "header", "description": "The `Authorization` header must contain the API key. The value should be prefixed with `API-Key` followed by a space and the actual API key.\n", "x-default": "API-Key 3039ba033eb1410caa0a2227158d63c9d6502cd8" }, "oauth2": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://app.pandadoc.com/oauth2/authorize", "tokenUrl": "https://api.pandadoc.com/oauth2/access_token", "refreshUrl": "https://api.pandadoc.com/oauth2/access_token", "scopes": { "read+write": "Use `read+write` to create, send, delete, and download documents, and `read` to view templates and document details." } } }, "description": "Send the authenticating user to the PandaDoc OAuth2 request URL. We recommend a button or a link titled\n\"Connect to PandaDoc\" if you are connecting users from a custom application. Users will see the \"Authorize Application\" screen.\nWhen the user clicks \"Authorize\", PandaDoc redirects the user back to your site with an authorization code inside the URL.\n\nhttps://app.pandadoc.com/oauth2/authorize?client_id={client_id}&redirect_uri={redirect_uri}&scope=read+write&response_type=code\n\n`client_id` and `redirect_uri` values should match your application settings.\n" } }, "schemas": { "NotarizationRequestDetailsResponse": { "type": "object", "properties": { "id": { "type": "string", "description": "A unique identifier of the notarization request.", "example": "0b2256a2-5803-4ae9-b1b8-595f48e37173" }, "status": { "type": "string", "description": "Current status of the notarization request.", "example": "SENT", "enum": [ "DRAFT", "SENT", "WAITING_FOR_NOTARY", "ACCEPTED", "LIVE", "COMPLETED", "INCOMPLETE", "CANCELLED" ] }, "document_id": { "type": "string", "description": "A unique identifier of the document for notarization.", "example": "D3okRfgHRX7NEhavcACReB" }, "date_created": { "type": "string", "format": "date-time", "description": "A date when a notarization request was created.", "example": "2025-01-13T10:25:53.800367Z" }, "date_started": { "type": "string", "format": "date-time", "nullable": true, "description": "A date when a notarization session was started.", "example": "2025-01-13T10:25:53.800367Z" }, "date_completed": { "type": "string", "format": "date-time", "nullable": true, "description": "A date when a notarization session was completed.", "example": "2025-01-13T10:25:53.800367Z" }, "created_by": { "type": "object", "properties": { "user_id": { "type": "string", "description": "A unique identifier of the user who created a notarization request.", "example": "nyAnVpY7pZ23FBve8s9xgk" }, "email": { "type": "string", "description": "A user's email address.", "example": "josh@example.com" }, "first_name": { "type": "string", "description": "A user's first name.", "example": "Josh" }, "last_name": { "type": "string", "description": "A user's last name.", "example": "Ron" } } }, "invitees": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "description": "A unique identifier of the invitee.", "example": "nyAnVpY7pZ23FBve8s9xgk" }, "email": { "type": "string", "format": "email", "maxLength": 255, "description": "A invitee's email address.", "example": "josh@example.com" }, "first_name": { "type": "string", "maxLength": 50, "nullable": true, "description": "A invitee's first name.", "example": "Josh" }, "last_name": { "type": "string", "maxLength": 50, "nullable": true, "description": "A invitee's last name.", "example": "Ron" } } } }, "signed_documents": { "type": "array", "items": { "type": "object", "properties": { "url": { "type": "string", "description": "Secure URL to download signed PDF document." }, "document_name": { "type": "string", "description": "A signer document name.", "example": "example.pdf" }, "size": { "type": "number", "description": "A signer document size in bytes.", "example": 523107 }, "document_type": { "type": "string", "description": "A type of the signed document.", "example": "SINGLE", "enum": [ "COMBINED", "SINGLE" ] } } } }, "recording": { "type": "object", "nullable": true, "properties": { "url": { "type": "string", "description": "Secure URL to download video recording of the notarization session." }, "name": { "type": "string", "description": "Name of the video recording file." }, "size": { "type": "number", "description": "Size of the video recording file in bytes.", "example": 5242880 } } } } } } } } ```